> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.sofer.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sofer.ai/_mcp/server.

# Update Folder

PATCH https://api.sofer.ai/v1/folders/{folder_id}
Content-Type: application/json

Rename or move a folder. Omitted fields are unchanged.
An explicitly null `parent_id` moves the folder to the root.

Reference: https://docs.sofer.ai/api-reference/folders/update-folder

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `folder_id` (UUID, required) — Folder ID.

### Body (application/json)

This endpoint expects a FolderUpdateRequest.

- `name` (string, optional) — New folder name. Omit to leave unchanged.
- `parent_id` (UUID, optional) — Omit to leave unchanged, null to move to root, or an owned folder UUID.

## Response

### 200

- `id` (UUID, required) — Folder ID.
- `name` (string, required) — Display name.
- `created_at` (datetime, required) — Creation time.
- `updated_at` (datetime, required) — Last update time.
- `parent_id` (UUID, optional) — Parent folder ID, or null for a root folder.

## Errors

### 401 Authentication Error

Authentication error

### 404 Folder Not Found

Folder not found or not owned by the authenticated API user.

### 409 Folder Conflict

A sibling folder already has this name or this move would create a cycle.

### 400 Invalid Folder

Invalid folder name, move, or update.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
  "name": "name",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "parent_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
}
```

**SDK Code**

```python
import requests

url = "https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"

payload = {}
headers = {
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```